﻿<%@ Page Language="C#" MasterPageFile="~/Views/Shared/Site.Master" Inherits="System.Web.Mvc.ViewPage<ProjectDirector.ViewModels.EmployeeViewModel>" %>

<asp:Content ID="registerTitle" ContentPlaceHolderID="TitleContent" runat="server">
    Register
</asp:Content>

<asp:Content ID="registerContent" ContentPlaceHolderID="MainContent" runat="server">
    <h2>Create a New Account</h2>
    <p>
        Use the form below to create a new account. 
    </p>
    <p>
        Passwords are required to be a minimum of <%: Membership.MinRequiredPasswordLength %> characters in length.
    </p>

    <script src="<%: Url.Content("~/Scripts/jquery.validate.min.js") %>" type="text/javascript"></script>
    <script src="<%: Url.Content("~/Scripts/jquery.validate.unobtrusive.min.js") %>" type="text/javascript"></script>

    <% using (Html.BeginForm()) { %>
        <%: Html.ValidationSummary(true, "Account creation was unsuccessful. Please correct the errors and try again.") %>
        <div>
            <fieldset>
                <legend>Account Information</legend>
                
                <%--<div class="editor-label">
                    <%: Html.LabelFor(m => m.UserName) %>
                </div>
                <div class="editor-field">
                    <%: Html.TextBoxFor(m => m.UserName) %>
                    <%: Html.ValidationMessageFor(m => m.UserName) %>
                </div>
                
                <div class="editor-label">
                    <%: Html.LabelFor(m => m.Email) %>
                </div>
                <div class="editor-field">
                    <%: Html.TextBoxFor(m => m.Email) %>
                    <%: Html.ValidationMessageFor(m => m.Email) %>
                </div>
                
                <div class="editor-label">
                    <%: Html.LabelFor(m => m.Password) %>
                </div>
                <div class="editor-field">
                    <%: Html.PasswordFor(m => m.Password) %>
                    <%: Html.ValidationMessageFor(m => m.Password) %>
                </div>
                
                <div class="editor-label">
                    <%: Html.LabelFor(m => m.ConfirmPassword) %>
                </div>
                <div class="editor-field">
                    <%: Html.PasswordFor(m => m.ConfirmPassword) %>
                    <%: Html.ValidationMessageFor(m => m.ConfirmPassword) %>
                </div>--%>
                <table width="100%">
                <tr><td> <%: Html.LabelFor(m => m.Employee.Title) %></td><td></td><td></td><td></td><td></td></tr>
                <tr><td> <%: Html.LabelFor(m => m.Employee.FinishDate) %></td><td></td><td></td><td></td><td></td></tr>
                <tr><td> <%: Html.LabelFor(m => m.Employee.LastName) %></td><td></td><td></td><td></td><td></td></tr>
                <tr><td> <%: Html.LabelFor(m => m.Employee.JobTitleId) %></td><td></td><td></td><td></td><td></td></tr>
                <tr><td> <%: Html.LabelFor(m => m.Employee.StartDate) %></td><td></td><td></td><td></td><td></td></tr>
                <tr><td> <%: Html.LabelFor(m => m.Employee.ContractTypeId) %></td><td></td><td></td><td></td><td></td></tr>
                <tr><td> <%: Html.LabelFor(m => m.Employee.MobilePhone) %></td><td></td><td></td><td></td><td></td></tr>
                <tr><td> <%: Html.LabelFor(m => m.Employee.WorkPhone) %></td><td></td><td></td><td></td><td></td></tr>
                <tr><td> <%: Html.LabelFor(m => m.Employee.WorkEmail) %></td><td></td><td></td><td></td><td></td></tr>
                <tr><td> <%: Html.LabelFor(m => m.Employee.PrivateEmail) %></td><td></td><td></td><td></td><td></td></tr>
               <%-- <tr><td> <%: Html.LabelFor(m => m.UserName) %></td><td></td><td></td><td></td><td></td></tr>
                <tr><td> <%: Html.LabelFor(m => m.UserName) %></td><td></td><td></td><td></td><td></td></tr>--%>
                </table>
                <p>
                    <input type="submit" value="Register" />
                </p>
            </fieldset>
        </div>
    <% } %>
</asp:Content>
