﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.ComponentModel.DataAnnotations;

namespace ProjectDirector.Domain.Entities
{
    [MetadataType(typeof(ContactMetadata))]
    public partial class Contact
    {
        public class ContactMetadata
        {
            [Display(Name="Title")]
        [Required(ErrorMessage="Title is required field")]
            public int TitleId { get; set; }

            [Display(Name = "First Name")]
            [Required(ErrorMessage = "First Name is required field")]
            public string FirstName { get; set; }

            [Display(Name = "Last Name")]
            [Required(ErrorMessage = "Last Name is required field")]
            public string LastName { get; set; }

            [Display(Name = "Job Title")]
            [Required(ErrorMessage = "Job Title is required field")]
            public int JobTitleId { get; set; }

            [Display(Name = "Phone Number")]
            [Required(ErrorMessage = "Phone Number is required field")]
            public string PhoneNumber { get; set; }

            [Display(Name = "Mobile Number")]
            //[Required(ErrorMessage = "Last Name is required field")]
            public string MobileNumber { get; set; }

            [Display(Name = "Email Address")]
            [Required(ErrorMessage = "Email Address is required field")]
            public string Email { get; set; }

        }
    }
}
