﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.ComponentModel.DataAnnotations;

namespace ProjectDirector.Domain.Entities
{
    [MetadataType(typeof(CustomerMetadata))]
    public partial class Customer
    {
        public class CustomerMetadata
        {
            [Display(Name = "Company Name")]
            [Required(ErrorMessage = "Company name is required field")]
            public string CompanyName { get; set; }

            [Display(Name = "Business Type")]
            [Required(ErrorMessage = "Business is required field")]
            public int BusinessTypeId { get; set; }

            [Display(Name = "Telephone")]
            [Required(ErrorMessage = "Telephone is required field")]
            public string Telephone { get; set; }

            [Display(Name = "Email Address")]           
            public string Email { get; set; }

            [Display(Name = "Fax Number")]
            public string FaxNumber { get; set; }

            [Display(Name = "Web Address")]
            public string WebSite { get; set; }
        }
    }
}
