﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using ProjectDirector.Domain.Entities;
using ProjectDirector.Models;
using ProjectDirector.Web.Models;

namespace ProjectDirector.ViewModels
{
    public class EmployeeViewModel
    {
        public List<ContractType> ContractTypes { get; set; }
        public List<Country> Countries { get; set; }
        public List<JobTitle> JobTitles { get; set; }
        public List<MembershipRole> MembershipRoles { get; set; }
        public RegisterModel RegisterModel { get; set; }
        public Employee Employee { get; set; }
        public Address Address { get; set; }
        public List<Title> Titles { get; set; }
        public PagingInfo PagingInfo { get; set; }
        public List<Employee> Employees { get; set; }
    }    

}