﻿<%@ Page Language="C#" MasterPageFile="~/Views/Shared/Site.Master" Inherits="System.Web.Mvc.ViewPage<ProjectDirector.Models.LogOnModel>" %>

<asp:Content ID="loginTitle" ContentPlaceHolderID="TitleContent" runat="server">
    Log On
</asp:Content>
<asp:Content ID="loginContent" ContentPlaceHolderID="MainContent" runat="server">
    <h2>
        Log On</h2>
    <p>
        Please enter your user name and password.
      <%--  <%: Html.ActionLink("Register", "Register") %>--%>
        if you don't have an account. Please contact your system administrator.
    </p>
    <script src="<%: Url.Content("~/Scripts/jquery.validate.min.js") %>" type="text/javascript"></script>
    <script src="<%: Url.Content("~/Scripts/jquery.validate.unobtrusive.min.js") %>"
        type="text/javascript"></script>
    <% using (Html.BeginForm())
       { %>
    <%: Html.ValidationSummary(true, "Login was unsuccessful. Please correct the errors and try again.") %>
    <div>
        <table>
            <tr>
                <td>
                    <%: Html.LabelFor(m => m.UserName) %>
                </td>
                <td>
                    <%: Html.TextBoxFor(m => m.UserName, new { @class = "TextBox" })%>
                </td>
                <td>
                    <%: Html.ValidationMessageFor(m => m.UserName)%>
                </td>
            </tr>
            <tr>
                <td>
                    <%: Html.LabelFor(m => m.Password) %>
                </td>
                <td>
                    <%: Html.PasswordFor(m => m.Password, new { @class = "TextBox" })%>
                </td>
                <td>
                    <%: Html.ValidationMessageFor(m => m.Password) %>
                </td>
            </tr>
            <tr>
                <td colspan="3">
                    <%: Html.CheckBoxFor(m => m.RememberMe) %>
                    <%: Html.LabelFor(m => m.RememberMe) %>
                </td>
            </tr>
            <tr>
                <td>
                    <input type="submit" value="Log On" class="Button" />
                </td>
                <td>
                </td>
                <td>
                </td>
            </tr>
        </table>
        <% } %>
</asp:Content>
