﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Views/Shared/Site.Master" Inherits="System.Web.Mvc.ViewPage<ProjectDirector.ViewModels.ContactViewModel>" %>

<asp:Content ID="Content1" ContentPlaceHolderID="TitleContent" runat="server">
    Create
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="server">
    <script src="<%: Url.Content("~/Scripts/jquery.validate.min.js") %>" type="text/javascript"></script>
    <script src="<%: Url.Content("~/Scripts/jquery.validate.unobtrusive.min.js") %>"
        type="text/javascript"></script>
    <% Html.BeginForm(); %>
    <%: Html.ValidationSummary(true) %>

    <span style="font-size:16px;"><%: Model.Customer.CompanyName %></span><br />
    <%: Model.Customer.BusinessType.BusinessTypeName %><br />
    <%: Model.Customer.Telephone %>
    <table style="width: 100%; table-layout: fixed; border-bottom-style: solid; border-bottom-width: 1px; border-bottom-color: #000000; border-top-style: solid; border-top-width: 1px; border-top-color: #000000;">
        <tr>
            <td style="width: 174px">
                <%: Html.LabelFor(model => model.Contact.TitleId) %>
            </td>
            <td>
                <%: Html.DropDownListFor(m=>m.Contact.TitleId,new SelectList(Model.Titles,"TitleId","TitleName"),new{@class="TextBox"}) %>
            </td>
        </tr>
        <tr>
            <td style="width: 174px">
                <%: Html.LabelFor(model => model.Contact.FirstName) %>
            </td>
            <td>
                <%: Html.TextBoxFor(m=>m.Contact.FirstName, new{@class="BigTextBox"}) %>
            </td>
        </tr>
        <tr>
            <td style="width: 174px">
                <%: Html.LabelFor(model => model.Contact.LastName) %>
            </td>
            <td>
                <%: Html.TextBoxFor(m=>m.Contact.LastName, new{@class="BigTextBox"}) %>
            </td>
        </tr>
        <tr>
            <td style="width: 174px">
                <%: Html.LabelFor(model => model.Contact.JobTitleId) %>
            </td>
            <td>
                <%:Html.DropDownListFor(m=>m.Contact.JobTitleId,new SelectList(Model.JobTitles,"JobTitleId","JobTitleName"),new{@class="TextBox"}) %>
            </td>
        </tr>
        <tr>
            <td style="width: 174px">
                <%: Html.LabelFor(model => model.Contact.PhoneNumber) %>
            </td>
            <td>
                <%: Html.TextBoxFor(m=>m.Contact.PhoneNumber, new{@class="TextBox"}) %>
            </td>
        </tr>
        <tr>
            <td style="width: 174px">
                <%: Html.LabelFor(model => model.Contact.MobileNumber) %>
            </td>
            <td>
                <%: Html.TextBoxFor(m=>m.Contact.Email, new{@class="TextBox"}) %>
            </td>
        </tr>
        <tr>
            <td style="width: 174px">
                <%: Html.LabelFor(model => model.Contact.Email) %>
            </td>
            <td>
                <%: Html.TextBoxFor(m=>m.Contact.Email, new{@class="BigTextBox"}) %>
            </td>
        </tr>
        <tr>
            <td style="width: 174px;" valign="top">
                <%: Html.LabelFor(model => model.Contact.Notes) %>
            </td>
            <td>
            <%:Html.TextAreaFor(m=>m.Contact.Notes, new{@class="BigTextBox"}) %>
            </td>
        </tr>
    </table>    
        <input type="submit" value="Create" class="Button" />
        <input type="button" value="Clear..." class="Button" />
    <% Html.EndForm(); %>   
</asp:Content>
