﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using ProjectDirector.Domain.Entities;

namespace ProjectDirector.Domain.Abstracts
{
    public interface IProjectDirectorRepository
    {
        List<Country> GetCountries();
        List<JobTitle> GetJobTitles();
        List<ContractType> GetContractTypes();
        List<BusinessType> GetBusinessTypes();

        int AddCustomer(Customer customer, Address address);
        int AddEmployee(Employee employee, Address address);
        int AddContact(Contact contact);
    }
}
