﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using ProjectDirector.Domain.Entities;
using ProjectDirector.Domain.Abstracts;

namespace ProjectDirector.Domain.Concretes
{
    public class ProjectDirectorRepository : IProjectDirectorRepository
    {
        private ProjectDirectorModelDataContext ctx = null;

        public ProjectDirectorRepository(string connection) {
            ctx = new ProjectDirectorModelDataContext(connection);
        }

        public List<Country> GetCountries()
        {
            return ctx.Countries.ToList();
        }

        public List<JobTitle> GetJobTitles()
        {
            return ctx.JobTitles.ToList();
        }

        public List<ContractType> GetContractTypes()
        {
            return ctx.ContractTypes.ToList();
        }

        public List<BusinessType> GetBusinessTypes()
        {
            return ctx.BusinessTypes.ToList();
        }

        public int AddCustomer(Customer customer, Address address)
        {
            throw new NotImplementedException();
        }

        public int AddEmployee(Employee employee, Address address)
        {
            throw new NotImplementedException();
        }

        public int AddContact(Contact contact)
        {
            throw new NotImplementedException();
        }
    }
}
