﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Views/Shared/Site.Master" Inherits="System.Web.Mvc.ViewPage<ProjectDirector.ViewModels.EmployeeViewModel>" %>

<asp:Content ID="Content1" ContentPlaceHolderID="TitleContent" runat="server">
    Edit
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="server">
  
   <table width="100%">
   <tr>
   <td width="55px">
   <img src="../../Content/Images/bigimgs/397.png" width="50px" height="50px" />
   </td>
   <td>
    <span style="font-size:14px; font-weight:bold;">
   Edit Personal Detail for: <%: Model.Employee.FirstName %> <%: Model.Employee.LastName %>
   </span>
   </td>
   <td></td>
   </tr>
   </table>
   <hr style="border-width:1px;"/>
    <script src="<%: Url.Content("~/Scripts/jquery.validate.min.js") %>" type="text/javascript"></script>
    <script src="<%: Url.Content("~/Scripts/jquery.validate.unobtrusive.min.js") %>" type="text/javascript"></script>
    <% Html.BeginForm(); %>
    <%: Html.ValidationSummary(true, "Account creation was unsuccessful. Please correct the errors and try again.") %>
    <%: Html.HiddenFor(model => model.Employee.UserId) %>
    <table width="100%">
        <tr>
            <td style="width: 115px">
                <%: Html.LabelFor(m => m.Employee.TitleId) %>
            </td>
            <td>
                <%: Html.DropDownListFor(m => m.Employee.TitleId, new SelectList(Model.Titles, "TitleId", "TitleName"), new { @class = "SmallTextBox" })%>
            </td>
        </tr>
        <tr>
            <td style="width: 115px">
                <%: Html.LabelFor(m => m.Employee.FirstName) %>
            </td>
            <td>
                <%: Html.TextBoxFor(m=>m.Employee.FirstName, new{@class="TextBox"}) %>
            </td>
        </tr>
        <tr>
            <td style="width: 115px">
                <%: Html.LabelFor(m => m.Employee.LastName) %>
            </td>
            <td>
                <%: Html.TextBoxFor(m=>m.Employee.LastName, new{@class="TextBox"}) %>
            </td>
        </tr>
        <tr>
            <td style="width: 115px">
                <%: Html.LabelFor(m => m.Employee.JobTitleId) %>
            </td>
            <td>
                <%: Html.DropDownListFor(m => m.Employee.JobTitleId, new SelectList(Model.JobTitles, "JobTitleId", "JobTitleName"), new { @class = "TextBox" })%>
            </td>
        </tr>
        <tr>
            <td style="width: 115px">
                <%: Html.LabelFor(m => m.Employee.StartDate) %>
            </td>
            <td>
                <%--<%: Html.TextBoxFor(m=>m.Employee.StartDate, new{@class="SmallTextBox"}) %>--%>
                <%= Html.DatePicker("Employee_StartDate","Employee.StartDate",Model.Employee.StartDate.ToShortDateString()) %>
            </td>
        </tr>
        <tr>
            <td style="width: 115px">
                <%: Html.LabelFor(m => m.Employee.FinishDate) %>
            </td>
            <td>
                <%--<%: Html.TextBoxFor(m=>m.Employee.FinishDate, new{@class="SmallTextBox"}) %>--%>
                <%= Html.DatePicker("Employee_FinishDate","Employee.FinishDate","") %>
            </td>
        </tr>
        <tr>
            <td style="width: 115px">
                <%: Html.LabelFor(m => m.Employee.ContractTypeId) %>
            </td>
            <td>
                <%: Html.DropDownListFor(m => m.Employee.ContractTypeId, new SelectList(Model.ContractTypes, "ContractTypeId", "ContractTypeName"), new { @class = "TextBox" })%>
            </td>
        </tr>
        <tr>
            <td style="width: 115px">
                <%: Html.LabelFor(m => m.Employee.MobilePhone) %>
            </td>
            <td>
                <%: Html.TextBoxFor(m=>m.Employee.MobilePhone, new{@class="TextBox"}) %>
            </td>
        </tr>
        <tr>
            <td style="width: 115px">
                <%: Html.LabelFor(m => m.Employee.WorkPhone) %>
            </td>
            <td>
                <%: Html.TextBoxFor(m=>m.Employee.WorkPhone, new{@class="TextBox"}) %>
            </td>
        </tr>
        <tr>
            <td style="width: 115px">
                <%: Html.LabelFor(m => m.Employee.WorkEmail) %>
            </td>
            <td>
                <%: Html.TextBoxFor(m=>m.Employee.WorkEmail, new{@class="TextBox"}) %>
            </td>
        </tr>
        <tr>
            <td style="width: 115px">
                <%: Html.LabelFor(m => m.Employee.PrivateEmail) %>
            </td>
            <td>
                <%: Html.TextBoxFor(m=>m.Employee.PrivateEmail, new{@class="TextBox"}) %>
            </td>
        </tr>
    </table>
    <p>
    <hr style="border-width:1px;"/>    
        <input type="submit" value="Save Changes" class="Button" />
    </p>
    <% Html.EndForm();%>
    <div>
        <%: Html.ActionLink("Back to List", "List")%>
    </div>
</asp:Content>
